The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the GTI Private Cloud Configuration

Prev Next

This URL gets the GTI private cloud configuration present on the Manager.

Resource URL

GET /gticonfiguration/private

Request Parameters

URL Parameters: None

Payload Request Parameters: None

Response Parameters

Following fields are returned:

Field Name Description Data Type
enabled GTI private cloud is enabled or not Boolean
server Server IP String
certificateStatus GTI private cloud certificate is present or not Boolean

Example

Request

GET https://<NSM_IP>/sdkapi/gticonfiguration/private

Payload

None

Response

{
"enabled":false,"server":null,"certificateStatus":false
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error